Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.

Table of Contents

Search

  1. Preface
  2. IDMC REST API
  3. REST API resource quick references
  4. Platform REST API version 2 resources
  5. Platform REST API version 3 resources
  6. Data Integration REST API
  7. Cloud Data Integration for PowerCenter (CDI-PC) REST API
  8. Data Ingestion and Replication REST API
  9. Customer Managed REST API
  10. RunAJob utility
  11. ParamSetCli utility
  12. REST API codes

REST API Reference

REST API Reference

Resynchronizing a table

Resynchronizing a table

Use this resource to resynchronize a table in a
database ingestion and replication
job or
application ingestion and replication
job in a Customer Managed runtime environment. This job resource accepts a request body.

Post request

To resynchronize a table, use the following API call:
POST https://<agent-host>:9443/rm/dbmi/api/v1/job/<job-id>/resync Content-Type: application/json RM-USER-TOKEN: <rm-token>
Use the following attributes in the request body:
{ "schemaName": "TKG", "tableName": "Table_schema1.Table_01", "retainTargetOnResync": false }
To resynchronize a table with curl, use the following command:
curl -ik -X POST https://<agent-host>:9443/rm/dbmi/api/v1/job/<job-id>/resync \ -H "RM-USER-TOKEN: <rm-token>" \ -H "Content-Type: application/json" \ -d '{"schemaName":"TKG","tableName":"Table_schema1.Table_01","retainTargetOnResync":false}'
The following table describes the attributes:
Field
Type
Required
Description
job-id
Number
Yes
URL parameter. ID of the job.
schemaName
String
Yes
Name of the source schema.
tableName
String
Yes
Fully qualified table name in the format <schema>.<table>.
retainTargetOnResync
Boolean
Yes
Determines what happens to the target data. Set to true to keep the existing target rows. Set to false to reload the target.

POST response

If the request is successful, the resource returns 200 OK and the text ACCEPTED in the response body.

0 COMMENTS

We’d like to hear from you!